Search documentation of tiger_stripe

# Stripe.Services.ApplePayDomainService (tiger_stripe v0.1.1)

Copy Markdown View Source

ApplePayDomain

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create an apple pay domain.

delete(client, domain, params \\ %{}, opts \\ [])

Delete an apple pay domain.

list(client, params \\ %{}, opts \\ [])

List apple pay domains.

retrieve(client, domain, params \\ %{}, opts \\ [])

Retrieve an apple pay domain.

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create an apple pay domain.

# delete(client, domain, params \\ %{}, opts \\ [])

    @spec delete(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Delete an apple pay domain.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List apple pay domains.

# retrieve(client, domain, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve an apple pay domain.